Skip to main content
GET
/
api
/
v1
/
external
/
companies
/
{companyId}
/
quotes
/
configuration
Get Quotes Configuration
curl --request GET \
  --url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/quotes/configuration \
  --header 'Authorization: <api-key>'
import requests

url = "https://app.aiinsurance.io/api/v1/external/companies/{companyId}/quotes/configuration"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://app.aiinsurance.io/api/v1/external/companies/{companyId}/quotes/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "quote": {
    "$schema": "https://json-schema.org/draft/2020-12/schema",
    "type": "object",
    "properties": {
      "effectiveDate": {
        "type": "string",
        "title": "effectiveDate"
      },
      "premium": {
        "type": "number",
        "title": "premium"
      },
      "status": {
        "type": "string",
        "title": "status",
        "oneOf": [
          {
            "const": "active",
            "title": "Active"
          },
          {
            "const": "cancelled",
            "title": "Cancelled"
          }
        ]
      }
    },
    "required": [
      "effectiveDate"
    ]
  },
  "exposure": {
    "$schema": "https://json-schema.org/draft/2020-12/schema",
    "type": "object",
    "properties": {
      "exposureName": {
        "type": "string",
        "title": "exposureName"
      },
      "employeeCount": {
        "type": "number",
        "title": "employeeCount"
      }
    },
    "required": []
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Response

Configuration for quote custom fields

Configuration response for Field Model V1 quotes. Returns JSON Schemas describing the quote-level and exposure-level fields available for creating or updating quotes. The quote schema excludes calculated fields, policy-only fields (policyNumber, policyStatus, policyCancelDate, etc.), server-populated fields (rating responses, google drive fields, etc.), and lifecycle fields (quoteStatus, quoteType, quoteNumber, etc.).

quote
object
required

JSON Schema (draft 2020-12) describing the valid quote-level fields. Each property corresponds to a field referenceId in the company's configuration.

exposure
object
required

JSON Schema (draft 2020-12) describing the valid exposure-level fields.